import { jsx } from "react/jsx-runtime";
import { ScanSmileyIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ScanSmiley = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "ScanSmiley", ...props, children: /* @__PURE__ */ jsx(ScanSmileyIcon, { weight: variant }) });
  }
);
ScanSmiley.displayName = "ScanSmiley";
Object.assign(ScanSmiley, { isGdsIcon: true });
export {
  ScanSmiley
};
